package main

import (
	"log"
)

type Pool struct {
	latest    string
	oldest    string
	jsonst    string // JSON string, trust me
	logger    *log.Logger
	http_port string
	tcp_port  string
	unitTypes map[string]string
}

type json_units struct {
	Units []struct {
		AgeInSeconds   float64 `json:"age_in_seconds"`
		UnitName       string  `json:"unit_name"`
		GroupName      string  `json:"group_name"`
		Name           string  `json:"name"`
		Latitude       float64 `json:"latitude"`
		Longitude      float64 `json:"longitude"`
		AltitudeInFeet float64 `json:"altitude_in_feet"`
		HeadingInRads  float64 `json:"heading_in_rads"`
		PitchInRads    float64 `json:"pitch_in_rads"`
		BankInRads     float64 `json:"bank_in_rads"`
		Coalition      string  `json:"coalition"`
		Type           string  `json:"type"`
	} `json:"units"`
}

type Unit struct {
	AgeInSeconds   float64
	UnitName       string
	GroupName      string
	Name           string
	Latitude       float64
	Longitude      float64
	AltitudeInFeet float64
	SpeedInKnots   float64
	SpeedInKph     float64
	SpeedInMps     float64
	SpeedInMph     float64
	HeadingInRads  float64
	Heading        float64
	PitchInRads    float64
	Pitch          float64
	BankInRads     float64
	Bank           float64
	Coalition      string
	Type           string
}
